;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.3,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: PWM0. asm 
;check sum: 0A9D H 
;Date 2011\6\17
;----------------------------------
;Program Note:
;Fosc X (Fosc/Pre divisor=data set 
;Pre divisor is 1,2,4,8
;cycle timer/PWM0DUTY=duty timer
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#include "TM57PE10_en.inc"

		org		000h	  
		goto	start

;----------------------------------- 
		org		10h	 
start: 								;pwm Initialization 
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00000000b
        movwf 	INTIE 				;close all interrupt
        
		movlw 	11111111b
		movwr 	PAE  				
		movlw 	11111111b
		movwr 	PBE  				;PWM0 and PWM1 I/O port is out put  

		movlw	200
		movwf	PWM0DUTY           	;pwm daty time set
		
		movlw	00000111b
		movwr	TIME_DIVIDE			;set PWM0 output bay PA1 
							
		bcf		RES_CN,CLRPWM0  	;pwm hold send
		bsf		RES_CN,STOPTM0		;enable pwm function
		
		movlw	250
		movwr	PWMO_PERIOD			;set PWM0 cycle data
	
main:  
        clrwdt
		nop 

		goto	main
                           
        end