;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: PWM1.asm 
;check sum: 365B H 
;Date 2010/9/15
;----------------------------------
;Program Note:
;PWM1 is Fixed cycle,4M =64us 
;cycle_timer/PWM0DUTY=duty timer
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"

		org		000h	  
		goto	start

		org		10h	 
start: 								;pwm Initialization 
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00000000b
        movwf 	INTIE 				;close all interrupt
          				
		movlw 	11111111b
		movwr 	PBE  				;PWM1 I/O port is output PB5 

		movlw	100
		movwf	PWM1DUTY           	;pwm daty timer set
				
		movlw	00001000b
		movwr	TIME_DIVIDE			;set PWM1 output bay PB5 
							
main:  
        clrwdt
		nop 

		goto	main
		                 
        end